Daemon Power

The NetBSD Packages Collection: net/gst-plugins1-rtmp

Brief description of the package:
Open source multimedia framework - rtmp plugin

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://gstreamer.freedesktop.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "net/gst-plugins1-rtmp" directory. The current source version of the package is "gst-plugins1-rtmp-1.14.2nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/gst-plugins1-rtmp :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: orc>=0.4.6 cwrappers>=20150314 gstreamer1>=1.14.2 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 py27-expat-[0-9]* glib2>=2.54.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.4.0 libffi>=3.0.0 glib2>=2.34.0 gobject-introspection>=1.34.0 gstreamer1>=1.0.0 gst-plugins1-bad>=1.0.3 gst-plugins1-base>=1.14.2 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 gst-plugins1-base>=1.0.0 rtmpdump>=2.3 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 gnutls>=3.3.0 lzo>=2.01 gmp>=5.0 gmp>=4.2.1 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.1.1 libunistring>=0.9.4 libgcrypt>=1.6.0 gnutls>=3.6.0nb1 rtmpdump>=2.4.0.0 .

This package requires the following package(s) to run: orc>=0.4.6 gstreamer1>=1.14.2 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 py27-expat-[0-9]* glib2>=2.54.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.4.0 libffi>=3.0.0 glib2>=2.34.0 gobject-introspection>=1.34.0 gstreamer1>=1.0.0 gst-plugins1-bad>=1.0.3 gst-plugins1-base>=1.14.2 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 gst-plugins1-base>=1.0.0 rtmpdump>=2.3 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 gnutls>=3.3.0 lzo>=2.01 gmp>=5.0 gmp>=4.2.1 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.1.1 libunistring>=0.9.4 libgcrypt>=1.6.0 gnutls>=3.6.0nb1 rtmpdump>=2.4.0.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:gst-plugins1-rtmp-1.6.3nb1.tgz(NetBSD 7.0)
alpha:gst-plugins1-rtmp-1.10.4.tgz(NetBSD 8.0)
arm:gst-plugins1-rtmp-1.0.10nb1.tgz(NetBSD 6.1_STABLE)
earm:gst-plugins1-rtmp-1.6.1.tgz(NetBSD 7.0)
earm:gst-plugins1-rtmp-1.6.1.tgz(NetBSD 7.0)
earmv6hf:gst-plugins1-rtmp-1.6.1.tgz(NetBSD 7.0)
earmv6hf:gst-plugins1-rtmp-1.12.2.tgz(NetBSD 8.0)
earmv6hf:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 8.0)
earmv7hf:gst-plugins1-rtmp-1.6.1.tgz(NetBSD 7.0)
earmv7hf:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 8.0)
i386:gst-plugins1-rtmp-1.0.10nb1.tgz(MirBSD 10)
i386:gst-plugins1-rtmp-1.10.4.tgz(NetBSD 6.0)
i386:gst-plugins1-rtmp-1.12.2.tgz(NetBSD 6.0)
i386:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 6.0)
i386:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 6.0)
i386:gst-plugins1-rtmp-1.10.4.tgz(NetBSD 6.1)
i386:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 7.0)
i386:gst-plugins1-rtmp-1.10.4.tgz(NetBSD 7.0)
i386:gst-plugins1-rtmp-1.12.2.tgz(NetBSD 7.0)
i386:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 7.0)
i386:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 7.0)
i386:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 7.1)
i386:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 7.1)
i386:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 7.1)
i386:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 8.0)
i386:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 8.0)
i386:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 8.0)
powerpc:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 6.1)
powerpc:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 7.1)
powerpc:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 7.1)
powerpc:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 8.0)
powerpc:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 8.0)
sparc64:gst-plugins1-rtmp-1.4.5.tgz(NetBSD 7.0)
sparc64:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 8.0)
x86_64:gst-plugins1-rtmp-1.12.2.tgz(NetBSD 6.0)
x86_64:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 6.0)
x86_64:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 6.0)
x86_64:gst-plugins1-rtmp-1.12.2.tgz(NetBSD 6.1)
x86_64:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 6.1)
x86_64:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 6.1)
x86_64:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 7.0)
x86_64:gst-plugins1-rtmp-1.12.2.tgz(NetBSD 7.0)
x86_64:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 7.0)
x86_64:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 7.0)
x86_64:gst-plugins1-rtmp-1.10.4.tgz(NetBSD 7.0.1_PATCH)
x86_64:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 7.1)
x86_64:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 7.1)
x86_64:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 7.1)
x86_64:gst-plugins1-rtmp-1.14.1.tgz(NetBSD 8.0)
x86_64:gst-plugins1-rtmp-1.10.4.tgz(NetBSD 8.99.1)
x86_64:gst-plugins1-rtmp-1.12.2.tgz(NetBSD 8.0)
x86_64:gst-plugins1-rtmp-1.12.3.tgz(NetBSD 8.0)
x86_64:gst-plugins1-rtmp-1.12.4.tgz(NetBSD 8.0)
x86_64:gst-plugins1-rtmp-1.10.4.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]